<?php
/**
 * $Horde: ansel/gallery/delete.php,v 1.3 2007/01/02 12:46:47 jan Exp $
 *
 * Copyright 2001-2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Chuck Hagenbuch <chuck@horde.org>
 */

@define('ANSEL_BASE', dirname(__FILE__) . '/..');
require_once ANSEL_BASE . '/lib/base.php';

// Delete the gallery if we're provided with a valid galleryId.
$galleryId = Util::getPost('gallery');
if ($galleryId) {
    $gallery = $ansel_shares->getGallery($galleryId);
    if (is_a($gallery, 'PEAR_Error') || !$gallery->hasPermission(Auth::getAuth(), PERMS_DELETE)) {
        $notification->push(sprintf(_("Access denied deleting gallery %s."), $gallery->get('name')), 'horde.error');
    } elseif ($ansel_shares->hasChildren($gallery)) {
        $notification->push(sprintf(_("You cannot delete %s, it contains nested galleries."), $gallery->get('name')), 'horde.warning');
    } else {
        $imageList = $gallery->listImages();
        if (count($imageList)) {
            foreach ($imageList as $id => $image) {
                $gallery->removeImage($id, true);
            }
        }
        $result = $ansel_shares->removeShare($gallery);
        if (is_a($result, 'PEAR_Error')) {
            $notification->push(sprintf(_("There was a problem deleting %s: %s."), $gallery->get('name'), $result->getMessage()), 'horde.error');
        } else {
            $notification->push(sprintf(_("Successfully deleted %s."), $gallery->get('name')), 'horde.success');
        }
    }
}

// Return to the gallery list.
header('Location: ' . Horde::applicationUrl('list.php', true));
