<?php
/**
 * $Horde: ansel/group.php,v 1.10 2007/01/02 12:46:46 jan Exp $
 *
 * Copyright 2005-2007 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Chuck Hagenbuch <chuck@horde.org>
 * @author Ben Chavet <ben@horde.org>
 */

@define('ANSEL_BASE', dirname(__FILE__));
require_once ANSEL_BASE . '/lib/base.php';

// check for grouping
$groupby = Util::getFormData('groupby', $prefs->getValue('groupby'));

// If we aren't supplied with a page number, default to page 0.
$gbpage = Util::getFormData('gbpage', 0);
$groups_perpage = $prefs->getValue('groupsperpage');

switch ($groupby) {
case 'category':
    require_once 'Horde/Prefs/CategoryManager.php';
    $num_groups = $ansel_shares->countCategories(PERMS_SHOW);
    if ($num_groups) {
        $groups = $ansel_shares->listCategories(PERMS_SHOW, $gbpage * $groups_perpage, $groups_perpage);
    } else {
        $groups = array();
    }
    break;

case 'owner':
    require_once('Horde/Identity.php');
    $num_groups = $ansel_shares->countOwners(PERMS_SHOW, DATATREE_ROOT, false);
    if ($num_groups) {
        $groups = $ansel_shares->listOwners(PERMS_SHOW, DATATREE_ROOT, false, $gbpage * $groups_perpage, $groups_perpage);
    } else {
        $groups = array();
    }
    break;

default:
    header('Location: ' . Horde::applicationUrl(Util::addParameter('list.php', 'groupby', $groupby), true));
    exit;
}

// Set up pager.
require_once 'Horde/UI/Pager.php';
require_once 'Horde/Variables.php';
$vars = &Variables::getDefaultVariables();
$group_pager = &new Horde_UI_Pager('gbpage', $vars, array('num' => $num_groups,
                                                          'url' => 'group.php',
                                                          'perpage' => $groups_perpage));

$min = $gbpage * $groups_perpage;
$max = $min + $groups_perpage;
if ($max > $num_groups) {
    $max = $num_groups - $min;
}
$start = $min + 1;
$end = min($num_groups, $min + $groups_perpage);
$count = 0;

require ANSEL_TEMPLATES . '/common-header.inc';
require ANSEL_TEMPLATES . '/menu.inc';
require ANSEL_TEMPLATES . '/group/header.inc';
foreach ($groups as $group) {
    require ANSEL_TEMPLATES . '/group/' . $groupby . '.inc';
}
require ANSEL_TEMPLATES . '/group/footer.inc';
require ANSEL_TEMPLATES . '/group/pager.inc';
require $registry->get('templates', 'horde') . '/common-footer.inc';
