<?php

$block_name = _("Random gallery");

/**
 * Ansel's Random gallery
 *
 * $Horde: ansel/lib/Block/random_gallery.php,v 1.12 2006/12/30 20:24:23 jan Exp $
 *
 * This file provides a random Ansel gallery through the Horde_Blocks, by
 * extending the Horde_Blocks class.
 *
 * Copyright 2003-2006 Duck <duck@obla.net>
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <Duck@obla.net>
 * @package Horde_Block
 */
class Horde_Block_ansel_random_gallery extends Horde_Block {

    var $_app = 'ansel';

    function _title()
    {
        return Horde::link(Horde::applicationUrl('list.php', true)) . _("Random gallery") . '</a>';
    }

    function _content()
    {
        @define('ANSEL_BASE', dirname(__FILE__) . '/../..');
        require ANSEL_BASE . '/lib/base.php';

        $gallery = Ansel::getRandomGallery();
        if (!$gallery) {
            return _("There are no photo galleries available.");
        }

        $html = '<div class="dropShadow">';
        $viewurl = Util::addParameter(Horde::applicationUrl('view.php', true), 'gallery', $gallery->getId());
        $html .= Horde::link($viewurl, sprintf(_("View %s"), $gallery->get('name')));

        if ($gallery->getDefaultImage()) {
            $html .= Horde::img(Ansel::getImageUrl($gallery->getDefaultImage(), 'thumb', true), '', '', '');
        } else {
            $html .= Horde::img($registry->getImageDir() . '/error.png', '', '', '');
        }

        $html .= '</a></div>';

        return $html;
    }

}
