<?php

$block_name = _("Random photo");

/**
 * Ansel's Random photo
 *
 * $Horde: ansel/lib/Block/random_photo.php,v 1.17 2006/12/30 20:24:23 jan Exp $
 *
 * This file provides a random Ansel gallery through the Horde_Blocks, by
 * extending the Horde_Blocks class.
 *
 * Copyright 2003-2006 Duck <duck@obla.net>
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <Duck@obla.net>
 * @author  Ben Chavet <ben@horde.org>
 * @package Horde_Block
 */
class Horde_Block_ansel_random_photo extends Horde_Block {

    var $_app = 'ansel';

    function _title()
    {
        return Horde::link(Horde::applicationUrl('list.php', true)) . _("Random photo") . '</a>';
    }

    function _content()
    {
        @define('ANSEL_BASE', dirname(__FILE__) . '/../..');
        require ANSEL_BASE . '/lib/base.php';

        $gallery = Ansel::getRandomGallery();
        if (!$gallery) {
            return _("There are no photo galleries available.");
        }

        $imagelist = $gallery->listImages(rand(0, $gallery->count() - 1), 1);
        $imageId = $imagelist[0];

        $viewurl = Util::addParameter(Horde::applicationUrl('view.php', true),
                                      array(
                                          'gallery' => $gallery->getId(),
                                          'image' => $imageId,
                                          'view' => 'Image'));

        $html = '<div class="dropShadow">' .
            Horde::link($viewurl, _("View Photo")) .
            Horde::img(Ansel::getImageUrl($imageId, 'thumb', true), '', '', '') .
            '</a></div>';

        return $html;
    }

}
