<?php
/**
 * $Horde: ansel/lib/Forms/Upload.php,v 1.3 2006/12/02 07:13:55 chuck Exp $
 *
 * @package Ansel
 */

/** Horde_Form */
require_once 'Horde/Form.php';

/**
 * Image uploader. Provides 3 different options - single images,
 * multiple images, and zip file.
 *
 * @package Ansel
 */
class UploadForm extends Horde_Form {

    var $_useFormToken = false;

    function UploadForm(&$vars, $title)
    {
        global $gallery, $conf;

        parent::Horde_Form($vars, $title);

        $this->setButtons(_("Upload"));
        $this->addHidden('', 'gallery', 'text', false);
        $this->addHidden('', 'page', 'text', false);

        $this->setSection('single_file', _("Single Image"));
        $this->addHidden('', 'image0', 'text', false);
        if (!strlen($vars->get('image0'))) {
            $upload = &$this->addVariable(_("File to upload"), 'file0', 'image', false);
            $upload->setHelp('upload');
        }
        $this->addVariable(_("Make this the default image for this gallery?"), 'image0_default', 'boolean', false);
        $this->addVariable(_("Caption"), 'image0_desc', 'longtext', false, false, null, array('4', '40'));

        $this->setSection('multi_file', _("Multiple Images"));
        for ($i = 1; $i <= $conf['image']['num_uploads']; $i++) { // start at $i = 1 because 0 is used above.
            $this->addHidden('', 'image' . $i, 'text', false);
            if (!strlen($vars->get('image' . $i))) {
                $upload = &$this->addVariable(sprintf(_("File %s"), $i), 'file' . $i, 'image', false, false, null, array(false));
                $upload->setHelp('upload');
            }
        }

        $this->setSection('zip_file', _("Zip File Upload"));
        $this->addHidden('', 'image' . ($conf['image']['num_uploads'] + 1), 'text', false);
        if (!strlen($vars->get('zip'))) {
            $upload = &$this->addVariable(_("File to upload"), 'file' . ($conf['image']['num_uploads'] + 1), 'file', false);
            $upload->setHelp('upload');
        }
    }

}
