<?php
/**
 * Ansel base inclusion file.
 *
 * $Horde: ansel/lib/base.php,v 1.24 2006/12/28 21:39:29 chuck Exp $
 *
 * This file brings in all of the dependencies that every Ansel
 * script will need and sets up objects that all scripts use.
 */

// Check for a prior definition of HORDE_BASE (perhaps by an
// auto_prepend_file definition for site customization).
if (!defined('HORDE_BASE')) {
    @define('HORDE_BASE', dirname(__FILE__) . '/../..');
}

// Load the Horde Framework core, and set up inclusion paths.
require_once HORDE_BASE . '/lib/core.php';

// Registry
$registry = &Registry::singleton();
if (is_a(($pushed = $registry->pushApp('ansel', !defined('AUTH_HANDLER'))), 'PEAR_Error')) {
    if ($pushed->getCode() == 'permission_denied') {
        Horde::authenticationFailureRedirect();
    }
    Horde::fatal($pushed, __FILE__, __LINE__, false);
}
$conf = &$GLOBALS['conf'];
@define('ANSEL_TEMPLATES', $registry->get('templates'));

// Notification system.
$GLOBALS['notification'] = &Notification::singleton();
$GLOBALS['notification']->attach('status');

// Find the base file path of Ansel.
@define('ANSEL_BASE', dirname(__FILE__) . '/..');

// Ansel base libraries.
require_once ANSEL_BASE . '/lib/Ansel.php';

// Horde libraries
require_once 'Horde/Help.php';
require_once 'VFS.php';

// Create db, share, and vfs instances.
$GLOBALS['ansel_db'] = Ansel::getDb();
if (is_a($GLOBALS['ansel_db'], 'PEAR_Error')) {
    Horde::fatal($GLOBALS['ansel_db'], __FILE__, __LINE__, false);
}
$GLOBALS['ansel_shares'] = new Ansel_Shares();
$GLOBALS['ansel_vfs'] = &VFS::singleton($GLOBALS['conf']['vfs']['type'], Horde::getDriverConfig('vfs', $GLOBALS['conf']['vfs']['type']));
if ($logger = &Horde::getLogger()) {
    $GLOBALS['ansel_vfs']->setLogger($logger, $GLOBALS['conf']['log']['priority']);
}
