#!/usr/local/bin/php
<?php
/**
 * $Horde: ansel/scripts/upgrades/2006-11-27_cleanup.php,v 1.1 2006/12/01 20:56:09 chuck Exp $
 *
 * This script cleans up the datatree data and the transition
 * table. Please make sure you have a backup and that your new data is
 * working properly before running this script.
 */

@define('AUTH_HANDLER', true);
@define('ANSEL_BASE', dirname(__FILE__) . '/../..');
@define('HORDE_BASE', ANSEL_BASE . '/..');

// Do CLI checks and environment setup first.
require_once HORDE_BASE . '/lib/core.php';
require_once 'Horde/CLI.php';

// Make sure no one runs this from the web.
if (!Horde_CLI::runningFromCLI()) {
    exit("Must be run from the command line\n");
}

// Load the CLI environment - make sure there's no time limit, init
// some variables, etc.
Horde_CLI::init();

require_once ANSEL_BASE . '/lib/base.php';
require_once 'Horde/MIME/Magic.php';
require_once 'MDB2.php';
$config = Horde::getDriverConfig('datatree', 'sql');
unset($config['charset']);
$mdb2 = &MDB2::factory($config);

// Drop the transition table.
$mdb2->query('DROP TABLE ansel_datatree_transition');

// Find non-galleries in horde_datatree.
$sql = "SELECT DISTINCT d.datatree_id FROM horde_datatree_attributes da LEFT JOIN horde_datatree d ON da.datatree_id = d.datatree_id WHERE da.attribute_name = 'gallery' AND d.group_uid = 'horde.shares.ansel'";
$ids = $mdb2->queryCol($sql);

// Delete non-galleries from horde_datatree.
foreach ($ids as $id) {
    $id = (int)$id;
    $mdb2->query('DELETE FROM horde_datatree WHERE datatree_id = ' . $id);
    $mdb2->query('DELETE FROM horde_datatree_attributes WHERE datatree_id = ' . $id);
}

// Find attribute orphans.
$sql = 'SELECT DISTINCT da.datatree_id FROM horde_datatree_attributes da LEFT JOIN horde_datatree d ON da.datatree_id = d.datatree_id WHERE d.datatree_id IS NULL';
$orphans = $mdb2->queryCol($sql);

// Delete attribute orphans.
foreach ($orphans as $orphan) {
    $orphan = (int)$orphan;
    $mdb2->query('DELETE FROM horde_datatree_attributes WHERE datatree_id = ' . $orphan);
}

// Find orphaned horde_datatree entries.
$sql = "SELECT DISTINCT d.datatree_id FROM horde_datatree d LEFT JOIN horde_datatree_attributes da ON d.datatree_id = da.datatree_id WHERE d.group_uid = 'horde.shares.ansel' AND da.datatree_id IS NULL";
$orphans = $mdb2->queryCol($sql);

// Delete horde_datatree orphans.
foreach ($orphans as $orphan) {
    $orphan = (int)$orphan;
    $mdb2->query('DELETE FROM horde_datatree WHERE datatree_id = ' . $orphan);
}

echo wordwrap("\nCleanup finished. Enjoy!\n");
