#!/usr/local/bin/php
<?php
/**
 * $Horde: ansel/scripts/upgrades/2006-11-27_fix_default_images.php,v 1.1 2006/12/13 20:01:28 chuck Exp $
 *
 * This script makes sure that default images are owned by the gallery
 * they're a default image for.
 */

@define('AUTH_HANDLER', true);
@define('ANSEL_BASE', dirname(__FILE__) . '/../..');
@define('HORDE_BASE', ANSEL_BASE . '/..');

// Do CLI checks and environment setup first.
require_once HORDE_BASE . '/lib/core.php';
require_once 'Horde/CLI.php';

// Make sure no one runs this from the web.
if (!Horde_CLI::runningFromCLI()) {
    exit("Must be run from the command line\n");
}

// Load the CLI environment - make sure there's no time limit, init
// some variables, etc.
Horde_CLI::init();

require_once ANSEL_BASE . '/lib/base.php';
require_once 'Horde/MIME/Magic.php';
require_once 'MDB2.php';
$config = Horde::getDriverConfig('datatree', 'sql');
unset($config['charset']);
$mdb2 = &MDB2::factory($config);

// Fix default images.
echo "Getting galleries to make sure default images are from the right galleries.\n";
$sql = "select distinct d.datatree_id from horde_datatree_attributes da left join horde_datatree d on da.datatree_id = d.datatree_id where da.attribute_name = 'default-type' and d.group_uid = 'horde.shares.ansel'";
$ids = $mdb2->queryCol($sql);
if (!is_a($ids, 'PEAR_Error')) {
    foreach ($ids as $galleryId) {
        $gallery = &$ansel_shares->getGallery($galleryId);
        if (is_a($gallery, 'PEAR_Error')) {
            continue;
        }
        $default = $gallery->get('default');
        if (!$default) {
            continue;
        }

        // We're checking to make sure that the default image is from
        // the gallery it's assigned to.
        $image = $gallery->getImage($default);
        if (is_a($image, 'PEAR_Error')) {
            // Force the gallery to auto-find a default image next
            // time it's used.
            $gallery->set('default', null, true);
        }
    }
}

echo wordwrap("\nDone.\n");
