<?php
if ($group == Auth::getAuth()) {
    $owner_title = _("My Galleries");
} else {
    $identity = &Identity::singleton('none', $group);
    $fullname = $identity->getValue('fullname');
    if (!$fullname) {
        $fullname = $group;
    }
    $owner_title = sprintf(_("%s's Galleries"), htmlspecialchars($fullname));
}

$link = Horde::link(Horde::applicationUrl(Util::addParameter('list.php',
                                                             array('groupby' => $groupby,
                                                                   'owner' => $group))));

$num_galleries = Ansel::countGalleries(PERMS_SHOW, $group, DATATREE_ROOT, false);
if ($num_galleries < 5) {
    $mini_galleries = Ansel::listGalleries(PERMS_SHOW, $group, DATATREE_ROOT, false);
} else {
    $mini_galleries = Ansel::listGalleries(PERMS_SHOW, $group, DATATREE_ROOT, false, rand(0, $num_galleries - 4), 4);
}
$mini_galleries = array_values($mini_galleries);
?>

<td width="<?php echo round(100 / $prefs->getValue('imagesperrow')) ?>%" valign="top">

<div class="dropShadow">
<table cellspacing="0">
<tr>
<?php for ($i = 0; $i < count($mini_galleries); ++$i) { ?>
  <td align="center">
    <?php echo $link ?><img src="<?php echo Ansel::getImageUrl($mini_galleries[$i]->getDefaultImage(), 'mini') ?>"/></a>
  </td>
  <?php if ($i == 1) {
      echo '</tr><tr>';
  }
} ?>
</tr>
</table>
</div>
<div class="clear">&nbsp;</div>

<p class="light">
 <strong><?php echo $link . $owner_title ?></a></strong><br />
 <?php echo ($num_galleries == 1) ? _("1 Gallery") : sprintf(_("%d Galleries"), $num_galleries) ?>
</p>
</td>

<?php if (!(++$count % $prefs->getValue('imagesperrow'))) { echo '</tr><tr>'; } ?>
