<script type="text/javascript">
var loading;

function selectAll()
{
    for (var i = 0; i < document.gallery.elements.length; ++i) {
        document.gallery.elements[i].checked = true;
    }
}

function selectNone()
{
    for (var i = 0; i < document.gallery.elements.length; ++i) {
        document.gallery.elements[i].checked = false;
    }
}

function deleteSelected()
{
    if (loading == null && confirm('<?php echo addslashes(_("Are you sure you want to delete the selected images?")) ?>')) {
        loading = true;
        document.gallery.actionID.value = 'delete';
        document.gallery.submit();
    }
}

function handle_gallery_action(select)
{
    if (select.selectedIndex == 0) {
        return;
    }
    var option = select.options[select.selectedIndex];
    if (option.className == 'popup') {
        popup(option.value);
    } else {
        window.location = option.value;
    }

    select.selectedIndex = 0;
    return false;
}

function moveSelected()
{
    if (document.gallery.new_gallery.selectedIndex == 0) {
        window.alert('<?php echo addslashes(_("You must choose a gallery to move images to.")) ?>');
        return false;
    }

    if (loading == null) {
        loading = true;
        document.gallery.actionID.value = 'move';
        document.gallery.submit();
    }
}
</script>
<?php if ($option_select && $numimages): ?>
<form name="gallery" action="image.php" method="get">
<?php echo Util::formInput() ?>
<input type="hidden" name="actionID" value="" />
<input type="hidden" name="gallery" value="<?php echo htmlspecialchars($galleryId) ?>" />
<input type="hidden" name="page" value="<?php echo htmlspecialchars($page) ?>" />
<?php endif; ?>

<div class="header">
 <?php echo ($numimages ? '<span class="rightFloat">' . ($numimages > $perpage ? sprintf(_("Displaying from %s to %s of %s images"), $pagestart, $pageend, $numimages) : sprintf(_("%s images"), $numimages)) . '</span>' : '') . htmlspecialchars($this->getTitle()) ?>
<?php if (Auth::getAuth() || $option_edit || $option_delete): ?>
 <select onchange="handle_gallery_action(this);">
  <option value=""><?php echo _("Choose Action:") ?></option>
<?php
     if (Auth::getAuth()) {
         echo '<option value="' . Horde::applicationUrl(Util::addParameter($galleryurl, 'actionID', 'downloadzip')) . '">' . _("Download as .zip") . '</option>';
     }
     if ($option_edit) {
         echo '<option value="' . Horde::applicationUrl($uploadurl) . '">' . _("Upload Images") . '</option>';
         echo '<option value="' . Horde::applicationUrl(Util::addParameter($galleryurl, 'actionID', 'addchild')) . '">' . _("Create a Subgallery") . '</option>';
         echo '<option value="' . Horde::applicationUrl(Util::addParameter($galleryurl, 'actionID', 'modify')) . '">' . _("Change gallery properties") . '</option>';
         echo '<option value="' . Horde::applicationUrl($captionurl) . '">' . _("Set Captions") . '</option>';
         echo '<option value="' . Horde::applicationUrl(Util::addParameter($sorturl, 'actionId' , 'getOrder')) . '">' . _("Sort Images") . '</option>';
     }
     if ($this->gallery->get('owner') == Auth::getAuth()) {
         echo '<option class="popup" value="' . Util::addParameter(Horde::applicationUrl('perms.php'), 'share', $this->gallery->getName()) . '">'. _("Set Gallery Permissions") . '</option>';
     }
     if ($option_delete) {
         echo '<option value="' . Horde::applicationUrl(Util::addParameter($galleryurl, 'actionID', 'delete')) . '">' . _("Delete this gallery") . '</option>';
     } ?>
 </select>
<?php endif; ?>
</div>

<?php if ($this->gallery->get('desc')): ?>
<div class="headerbox" style="padding:5px">
<?php echo Text_Filter::filter($this->gallery->get('desc'), 'text2html', array('parselevel' => TEXT_HTML_MICRO)) ?>
</div>
<?php endif; ?>

<?php if ($option_select && $numimages): ?>
<table class="control" width="100%" cellspacing="0">
 <tr>
  <td>
<?php printf(_("Select: %s, %s"),
             Horde::link('#', _("Select All"), '', '', 'selectAll(); return false;') . _("All") . '</a>',
             Horde::link('#', _("Select None"), '', '', 'selectNone(); return false;') . _("None") . '</a>'); ?>
  </td>
  <td class="rightAlign">
<?php if ($option_delete): ?>
  <?php echo Horde::link('#', _("Delete"), 'widget', '', 'deleteSelected(); return false;') . _("Delete"); ?></a>
  <?php if ($option_move): ?>
  | <?php echo Horde::link('#', _("Move"), 'widget', '', 'moveSelected(); return false;') . _("Move"); ?></a>
    <select name="new_gallery"><option value="-1"><?php echo _("Selected images to") ?></option><?php echo Ansel::selectGalleries($galleryId, PERMS_EDIT) ?></select>
  <?php endif; ?>
<?php endif; ?>
  </td>
 </tr>
</table>
<?php endif; ?>

<?php
if (!$numimages) {
    echo '<div class="text"><em>' . _("There are no images in this gallery.") . '</em></div>';
} else {
    echo '<div style="clear:both" align="center">' . $pager->render() . '</div>';

    $imagesperrow = $prefs->getValue('imagesperrow');
    $cellwidth = round(100 / $imagesperrow);
    $count = 0;

    echo '<table width="100%"><tr>';

    $images_shown = count($images);
    foreach ($images as $image) {
        echo '<td width="' . $cellwidth . '%" valign="top">' .
            '<div class="dropShadow">';

        $image_url = Util::addParameter($imgurl, 'image', $image->id);
        $view_url = Util::addParameter($viewurl, 'image', $image->id);
        $thumb_url = Ansel::getImageUrl($image->id, 'thumb');

        echo Horde::link(Horde::applicationUrl($view_url), $image->filename) .
            Horde::img($thumb_url, '', '', '') . '</a>' .
            '</div>';

        if ($image->caption) {
            require_once 'Horde/Text/Filter.php';
            echo '<div style="clear:both">' . Text_Filter::filter($image->caption, 'text2html', array('parselevel' => TEXT_HTML_MICRO)) . '</div>';
        }

        if ($option_select) { ?>
  <div style="clear:both">
    <span class="light">
    <?php if ($option_select): ?>
      <input type="checkbox" name="image[<?php echo $image->id ?>]" />
    <?php endif; ?>
    <?php if ($option_edit): ?>
        <?php echo Horde::link(Horde::applicationUrl(Util::addParameter($image_url, array('actionID' => 'modify', 'share' => $this->gallery->getName()))), '', '', '_blank', 'popup(this.href); return false;') . _("Properties") ?></a>
      | <?php echo Horde::link(Horde::applicationUrl(Util::addParameter($image_url, 'actionID', 'editimage'))) . _("Edit") ?></a>
    <?php endif; ?>
    </span>
  </div>
<?php
        }

        echo '</td>';
        if (!(++$count % $imagesperrow)) {
            if ($count < $images_shown) {
                echo '</tr><tr>';
            }
        }
    }

    while ($count++ % $imagesperrow) {
        echo '<td>&nbsp;</td>';
    }

    echo '</tr></table>' .
        '<div style="clear:both; text-align:center">' . $pager->render() . '</div>';
}
if ($option_select && $numimages): ?>
</form>
<?php endif; ?>
